package app02b.action;

import app02b.form.ProductForm;
import app02b.to.ProductTO;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class SaveProductAction extends Action {

  public ActionForward execute(ActionMapping mapping, ActionForm form,
    HttpServletRequest request, HttpServletResponse response) throws Exception {

    ProductForm productForm = (ProductForm) form;

    ProductTO product = new ProductTO();
    product.setProductName(productForm.getProductName());
    product.setDescription(productForm.getDescription());
    product.setPrice(productForm.getPrice());

    // code for persisting the ProductTO object goes here
    request.setAttribute("product", product);

    return (mapping.findForward("success"));
  }
}
